webpackJsonp([0],{

/***/ 105:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SeriesDetPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_streaming_media__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__actor_det_actor_det__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var SeriesDetPage = /** @class */ (function () {
    function SeriesDetPage(navCtrl, service, streamingMedia, loading, calendar, gv, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.streamingMedia = streamingMedia;
        this.loading = loading;
        this.calendar = calendar;
        this.gv = gv;
        this.navParams = navParams;
        this.homeData = { Images: [{ ImageAddress_M: "" }] };
        this.pageTitle = "";
    }
    SeriesDetPage.prototype.addtocal = function (h) {
        var d1 = new Date(h.Date);
        this.calendar.createEventInteractively(h.title, '', h.Summary, d1, null).then(function (msg) { console.log(msg); }, function (err) { console.log(err); });
    };
    SeriesDetPage.prototype.ngOnInit = function () {
        var id = this.navParams.get("id");
        this.pageTitle = this.navParams.get("sec");
        this.getMain(id);
    };
    SeriesDetPage.prototype.showCast = function (h) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__actor_det_actor_det__["a" /* ActorDetPage */], { id: h.Id });
    };
    SeriesDetPage.prototype.playAnn = function () {
        var options = {
            successCallback: function () { console.log('Video played'); },
            errorCallback: function (e) { console.log('Error streaming', e); },
            orientation: 'landscape'
        };
        this.streamingMedia.playVideo('http://ifilm.ir' + this.homeData.VideoAddress, options);
    };
    SeriesDetPage.prototype.play = function (ep) {
        var options = {
            successCallback: function () { console.log('Video played'); },
            errorCallback: function (e) { console.log('Error streaming', e); },
            orientation: 'landscape'
        };
        this.streamingMedia.playVideo(ep.vid, options);
    };
    SeriesDetPage.prototype.getEpisodes = function (id) {
        var _this = this;
        this.service.getHome("http://fa.ifilmtv.com/home/pageingattachmentitem?id=" + id + "&page=0&size=1000").then(function (data) {
            var hh = JSON.parse(data.data);
            var h = [];
            hh.forEach(function (el) {
                h.push({
                    ep: el.Episode,
                    img: 'http://fa.ifilmtv.ir' + el.ImageAddress_S,
                    vid: 'http://fa.ifilmtv.ir' + el.VideoAddress
                });
            });
            _this.homeData.episodes = h;
        }).catch(function (err) {
        });
    };
    SeriesDetPage.prototype.getMain = function (id) {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = this.gv.getStaticTexts().urlFilmSerialDetail.replace('{id}', id);
        this.service.getHome(url).then(function (data) {
            var hh = JSON.parse(data.data);
            hh.episodes = [];
            var i;
            if (_this.pageTitle == "برنامه‌ها") {
                _this.getEpisodes(id);
            }
            else {
                for (i = hh.Episode - 1; i > 0; i--) {
                    hh.episodes.push({
                        ep: i,
                        img: 'http://93.190.24.111:82/' + id + '/' + i + '.png',
                        vid: 'http://93.190.24.111:82/' + id + '/' + i + '.mp4'
                    });
                }
            }
            _this.homeData = hh;
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    SeriesDetPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-series-det',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/series.det/series.det.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news" *ngIf="homeData.Title">\n    <div class="item">\n      <div class="video-thumbnail" (click)="playAnn()">\n        <img [src]="\'http://ifilmtv.ir\' + homeData.ImageAddress_M" />\n      </div>\n      <div class="title">\n        <!--<span (click)="" class="bell"></span>-->\n        {{homeData.Title}}\n        <div class="time">{{homeData.GMT_Time}}<sup>GMT</sup></div>\n      </div>\n      <p [innerHTML]="homeData.TextBody"></p>\n    </div>\n  </div>\n  <div class="cast mid-art-news episodes" *ngIf="homeData.Images.length>1">\n    <ion-grid>\n      <ion-row>\n        <ion-col col-6 *ngFor="let img of homeData.Images">\n          <img [src]="\'http://en.ifilmtv.com\'+img.ImageAddress_S" />\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n  <div class="episodes" *ngIf="homeData.LstActors && homeData.LstActors.length > 0">\n    <h2>بازیگران</h2>\n    <ion-grid>\n      <ion-row>\n        <ion-col (click)="showCast(img)" col-6 *ngFor="let img of homeData.LstActors">\n          <img [src]="\'http://en.ifilmtv.com\'+img.ImageAddress_S" />\n          {{img.FirstName}} {{img.LastName}}\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n  <div class="episodes" *ngIf="homeData.episodes && homeData.episodes.length > 0">\n    <h2>قسمت‌ها</h2>\n    <ion-grid>\n      <ion-row>\n        <ion-col col-6 *ngFor="let eps of homeData.episodes">\n          <img (click)="play(eps)" [src]="eps.img" />\n          قسمت: {{eps.ep}}\n          <a [href]="eps.vid">دانلود</a>\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/series.det/series.det.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_streaming_media__["a" /* StreamingMedia */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__["a" /* Calendar */],
            __WEBPACK_IMPORTED_MODULE_6__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], SeriesDetPage);
    return SeriesDetPage;
}());

//# sourceMappingURL=series.det.js.map

/***/ }),

/***/ 106:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActorDetPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var ActorDetPage = /** @class */ (function () {
    function ActorDetPage(navCtrl, service, gv, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.gv = gv;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = { profile: [{ ImageAddress_M: "" }] };
        this.pageTitle = "";
    }
    ActorDetPage.prototype.ngOnInit = function () {
        var id = this.navParams.get("id");
        this.getMain(id);
    };
    ActorDetPage.prototype.getMain = function (id) {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = this.gv.getStaticTexts().urlActorDetail.replace('{id}', id);
        this.service.getHome(url.replace('{id}', id)).then(function (data) {
            _this.homeData = JSON.parse(data.data);
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    ActorDetPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-actor-det',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/actor.det/actor.det.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="item">\n      <img [src]="\'http://ifilmtv.ir\' + homeData.profile.ImageAddress_M" />\n      <div class="title">\n        {{homeData.profile.FirstName}} {{homeData.profile.LastName}}\n      </div>\n      <p [innerHTML]="homeData.profile.Biography"></p>\n      <div>\n        <img *ngFor="let i of homeData.profile.Images" [src]="\'http://ifilmtv.ir\' + i.ImageAddress_M" />\n      </div>\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/actor.det/actor.det.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], ActorDetPage);
    return ActorDetPage;
}());

//# sourceMappingURL=actor.det.js.map

/***/ }),

/***/ 107:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsDetPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_streaming_media__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var NewsDetPage = /** @class */ (function () {
    function NewsDetPage(navCtrl, service, gv, streamingMedia, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.gv = gv;
        this.streamingMedia = streamingMedia;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = { Images: [{ ImageAddress_M: "" }] };
        this.pageTitle = "اخبار";
    }
    NewsDetPage.prototype.ngOnInit = function () {
        var id = this.navParams.get("id");
        this.getMain(id);
    };
    NewsDetPage.prototype.play = function (ep) {
        var options = {
            successCallback: function () { console.log('Video played'); },
            errorCallback: function (e) { console.log('Error streaming', e); },
            orientation: 'landscape'
        };
        var vid = 'http://ifilm.ir' + ep.VideoAddress;
        console.log(vid);
        this.streamingMedia.playVideo(vid, options);
    };
    NewsDetPage.prototype.getMain = function (id) {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = this.gv.getStaticTexts().urlNewsDetail.replace('{id}', id);
        this.service.getHome(url).then(function (data) {
            _this.homeData = JSON.parse(data.data).HeadLine;
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    NewsDetPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news-det',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/news.det/news.det.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="item">\n      <div (click)=\'play(homeData)\' [class]="homeData.VideoAddress ? \'video-thumbnail\' : \'\'">\n        <img [src]="\'http://ifilmtv.ir\' + homeData.ImageAddress_M" />\n      </div>\n      <div class="title">\n        {{homeData.Title}}\n        <div class="time">{{homeData.GMT_Time}}</div>\n      </div>\n      <p [innerHTML]="homeData.TextBody"></p>\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/news.det/news.det.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_streaming_media__["a" /* StreamingMedia */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], NewsDetPage);
    return NewsDetPage;
}());

//# sourceMappingURL=news.det.js.map

/***/ }),

/***/ 108:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SeriesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__series_det_series_det__ = __webpack_require__(105);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SeriesPage = /** @class */ (function () {
    function SeriesPage(navCtrl, service, calendar, gv, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.calendar = calendar;
        this.gv = gv;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = [];
        this.homeData1 = [];
        this.pageTitle = "";
    }
    SeriesPage.prototype.addtocal = function (h) {
        var d1 = new Date(h.Date);
        this.calendar.createEventInteractively(h.title, '', h.Summary, d1, null).then(function (msg) { console.log(msg); }, function (err) { console.log(err); });
    };
    SeriesPage.prototype.gotoSerDet = function (h) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__series_det_series_det__["a" /* SeriesDetPage */], { id: h.Id, sec: this.pageTitle });
    };
    SeriesPage.prototype.ngOnInit = function () {
        var id = this.navParams.get("id");
        switch (id) {
            case 3:
                this.pageTitle = "سریال‌ها";
                break;
            case 5:
                this.pageTitle = "فیلم‌ها";
                break;
            case 7:
                this.pageTitle = "برنامه‌ها";
                break;
        }
        this.getMain(id);
    };
    SeriesPage.prototype.getMain = function (id) {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = "";
        if (id == 3) {
            url = this.gv.getStaticTexts().urlCurrentSerial;
            this.service.getHome(url).then(function (data) {
                _this.homeData = JSON.parse(data.data).CurrentSerial;
                loader.dismiss();
            }).catch(function (err) {
                loader.dismiss();
            });
            url = this.gv.getStaticTexts().urlContent.replace('{type}', id).replace('{page}', 1);
            this.service.getHome(url).then(function (data) {
                _this.homeData1 = JSON.parse(data.data);
                loader.dismiss();
            }).catch(function (err) {
                loader.dismiss();
            });
        }
        else {
            url = this.gv.getStaticTexts().urlContent.replace('{type}', id).replace('{page}', 1);
            this.service.getHome(url).then(function (data) {
                _this.homeData = JSON.parse(data.data);
                loader.dismiss();
            }).catch(function (err) {
                loader.dismiss();
            });
        }
    };
    SeriesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-series',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/series/series.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div (click)="gotoSerDet(h)" class="item" *ngFor="let h of homeData">\n      <img [src]="\'http://ifilmtv.ir\' + h.ImageAddress_M" />\n      <div class="title">\n        <!--<span (click)="addtocal(h)" class="bell"></span>-->\n        {{h.Title}}\n      </div>\n    </div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n  </div>\n  <div class="mid-art-news white-back">\n    <ion-grid>\n      <ion-row>\n        <ion-col (click)="gotoSerDet(h)" col-6 *ngFor="let h of homeData1">\n          <img [src]="\'http://ifilmtv.ir\' + h.ImageAddress_S" />\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/series/series.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__["a" /* Calendar */],
            __WEBPACK_IMPORTED_MODULE_5__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], SeriesPage);
    return SeriesPage;
}());

//# sourceMappingURL=series.js.map

/***/ }),

/***/ 118:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 118;

/***/ }),

/***/ 12:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GlobalVars; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var GlobalVars = /** @class */ (function () {
    function GlobalVars() {
        this._baseurl = "http://ifilm.ir/UploadedFiles/mob.json";
    }
    GlobalVars.prototype.getAppVer = function () {
        return "57";
    };
    GlobalVars.prototype.setStaticTexts = function (value) { this._staticTexts = value; };
    GlobalVars.prototype.getStaticTexts = function () { return this._staticTexts; };
    GlobalVars.prototype.getBaseUrl = function () { return this._baseurl; };
    GlobalVars = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [])
    ], GlobalVars);
    return GlobalVars;
}());

//# sourceMappingURL=globalvars.js.map

/***/ }),

/***/ 14:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Service; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_http__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(200);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_timeout__ = __webpack_require__(290);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_timeout___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_timeout__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var Service = /** @class */ (function () {
    function Service(nhttp, http, toastCtrl, platform, gv) {
        this.nhttp = nhttp;
        this.http = http;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.gv = gv;
        this.mainUrl = 'assets/config.json';
    }
    Service.prototype.getMain = function () {
        return this.nhttp.get(this.mainUrl, {}, {});
    };
    Service.prototype.getMainJson = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.get(_this.gv.getBaseUrl())
                .map(function (res) { return res.json(); })
                .subscribe(function (rsp) {
                _this.gv.setStaticTexts(rsp);
                // console.log(rsp);
                // console.log(this.gv.getStaticTexts());
                resolve();
            }, function (err) {
                reject(err.message);
            });
        });
    };
    Service.prototype.getApi = function (url) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.get(url)
                .timeout(20000)
                .subscribe(function (rsp) {
                resolve(rsp);
            }, function (err) {
                _this.toastCtrl.create({ message: err.message, duration: 3000, position: 'bottom' }).present();
                reject(err.message);
            });
        });
    };
    Service.prototype.getDate = function (url) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.http.get(url)
                .timeout(20000)
                .map(function (res) { return res.json(); })
                .subscribe(function (rsp) {
                resolve(rsp);
            }, function (err) {
                _this.toastCtrl.create({ message: err.message, duration: 3000, position: 'bottom' }).present();
                reject(err.message);
            });
        });
    };
    Service.prototype.getHome = function (url) {
        var _this = this;
        // if (!this.platform.is('cordova')) {
        return new Promise(function (resolve, reject) {
            _this.http.get(url)
                .timeout(20000)
                .map(function (res) { return res.json(); })
                .subscribe(function (rsp) {
                resolve({ data: JSON.stringify(rsp) });
            }, function (err) {
                _this.toastCtrl.create({ message: err.message, duration: 3000, position: 'bottom' }).present();
                reject(err.message);
            });
        });
        // }
        // else {
        //     return this.nhttp.get(url, {}, {});
        // }
    };
    Service = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_http__["a" /* HTTP */], __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["Platform"], __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__["a" /* GlobalVars */]])
    ], Service);
    return Service;
}());

//# sourceMappingURL=service.js.map

/***/ }),

/***/ 160:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 160;

/***/ }),

/***/ 210:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__series_det_series_det__ = __webpack_require__(105);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__news_det_news_det__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__series_series__ = __webpack_require__(108);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var HomePage = /** @class */ (function () {
    function HomePage(navCtrl, loading, gv, calendar, service) {
        this.navCtrl = navCtrl;
        this.loading = loading;
        this.gv = gv;
        this.calendar = calendar;
        this.service = service;
        this.homeData = { Banner: [], newsLst: [{ ImageAddress_M: "assets/imgs/placeholder.png" }], ProgramsLst: [{ ImageAddress_M: "assets/imgs/placeholder.png" }] };
        this.curve = "100% 20%";
    }
    HomePage.prototype.onScroll = function (ev) {
        if (ev.scrollTop < 250) {
            //var c = Math.round((250 - ev.scrollTop) / 10);
            //console.log(c);
            //this.zone.run(() => {
            //this.curve = "100% " + c + "%";
            //});
        }
    };
    HomePage.prototype.gotoNewsDet = function (h) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__news_det_news_det__["a" /* NewsDetPage */], { id: h.Id });
    };
    HomePage.prototype.addtocal = function (h) {
        var d1 = new Date(h.PubDate);
        this.calendar.createEventInteractively(h.Title, '', h.Summary, d1, null).then(function (msg) { console.log(msg); }, function (err) { console.log(err); });
    };
    HomePage.prototype.gotoSerDet = function (h) {
        var pageTitle = "";
        switch (h.CategoryId) {
            case 3:
                pageTitle = "سریال‌ها";
                break;
            case 5:
                pageTitle = "فیلم‌ها";
                break;
            case 7:
                pageTitle = "برنامه‌ها";
                break;
        }
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__series_det_series_det__["a" /* SeriesDetPage */], { id: h.Id, sec: pageTitle });
    };
    HomePage.prototype.ngOnInit = function () {
        this.getMain();
    };
    HomePage.prototype.showMovies = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__series_series__["a" /* SeriesPage */], { id: 7 });
    };
    HomePage.prototype.getMain = function () {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        this.service.getDate("http://ifilm.ir/UploadedFiles/date.aspx").then(function (res) {
            // console.log(res);
            if (res.date.split('/')[0] != '1397') {
                _this.service.getHome(_this.gv.getStaticTexts().urlHome).then(function (data) {
                    _this.homeData = JSON.parse(data.data);
                    loader.dismiss();
                }).catch(function (err) {
                    loader.dismiss();
                });
            }
            else {
                // loader.dismiss();
            }
        }).catch(function () {
            loader.dismiss();
        });
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-home',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/home/home.html"*/'<page-header></page-header>\n<ion-content fullscreen>\n  <div class="banner-wrapper">\n    <ion-slides class="banner-slides" pager dir="rtl">\n      <ion-slide *ngFor="let b of homeData.Banner" (click)="gotoSerDet(b)">\n        <div class="banner-image-wrapper" [style.background-image]="\'url(\'+(b.ImageAddress_M.indexOf(\'assets\')==0?\'\':\'http://ifilmtv.ir\') + b.ImageAddress_M + \')\'">\n          <div class="banner-title-wrapper">\n            <div class="title">{{b.Title}}</div>\n          </div>\n        </div>\n      </ion-slide>\n    </ion-slides>\n    <div class="mid-art">\n      <div class="title">اخبار فرهنگی هنری</div>\n      <div class="radius1"></div>\n      <div class="radius2"></div>\n      <div class="radius3"></div>\n    </div>\n  </div>\n  <div class="mid-art-news">\n    <div class="first-item" (click)="gotoNewsDet(homeData.newsLst[0])">\n      <img [src]="(homeData.newsLst[0].ImageAddress_M.indexOf(\'assets\')==0?\'\':\'http://ifilmtv.ir\') + homeData.newsLst[0].ImageAddress_M"\n      />\n      <div class="title">{{homeData.newsLst[0].Title}}</div>\n      <p>{{homeData.newsLst[0].Summary}}</p>\n    </div>\n    <div class="other-item">\n      <div *ngFor="let n of homeData.newsLst | slice:1" class="item" (click)="gotoNewsDet(n)">\n        <div>{{n.Title}}</div>\n        <p>{{n.Summary}}</p>\n      </div>\n    </div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n    <div class="mid-prog">\n      <div class="title">برنامه‌ها</div>\n      <div class="radius1"></div>\n      <div class="radius2"></div>\n      <div class="radius3"></div>\n    </div>\n  </div>\n  <div class="mid-prog-news">\n    <div (click)="gotoSerDet(homeData.ProgramsLst[0])" class="first-item">\n      <img [src]="(homeData.ProgramsLst[0].ImageAddress_M.indexOf(\'assets\')==0?\'\':\'http://ifilmtv.ir\') + homeData.ProgramsLst[0].ImageAddress_M"\n      />\n      <div class="title">{{homeData.ProgramsLst[0].Title}}</div>\n      <p>{{homeData.ProgramsLst[0].Summary}}</p>\n    </div>\n    <div class="btn-prog-archive" (click)="showMovies()">\n      <span>آرشیو ></span>\n    </div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n    <div class="mid-sch">\n      <div class="title">جدول پخش</div>\n      <div class="radius1"></div>\n      <div class="radius2"></div>\n      <div class="radius3"></div>\n    </div>\n  </div>\n  <div class="mid-sch-news">\n    <div class="items">\n      <div *ngFor="let s of homeData.ScheduleLst" class="item">\n          <div class="time">{{s.PubDate.split(\' \')[1]}}<sup>تهران</sup>\n          <span (click)="addtocal(s)" class="bell"></span>\n        </div>\n        <div class="title">{{s.Title}}</div>\n        <p>\n          <img [src]="\'http://ifilmtv.ir\' + s.ImageAddress_S" /> {{s.Summary}}\n        </p>\n      </div>\n      <div class="filler"></div>\n    </div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n    <div class="mid-foot">\n      <div class="title">All Rights Reserved By iFilm</div>\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/home/home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__["a" /* Calendar */],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 211:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SchedulePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var SchedulePage = /** @class */ (function () {
    function SchedulePage(navCtrl, service, loading, gv, calendar, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.loading = loading;
        this.gv = gv;
        this.calendar = calendar;
        this.navParams = navParams;
        this.homeData = [];
        this.pageTitle = "جدول پخش";
    }
    SchedulePage.prototype.ngOnInit = function () {
        this.getMain();
    };
    SchedulePage.prototype.addtocal = function (h) {
        var d1 = new Date(h.Date);
        this.calendar.createEventInteractively(h.Title, '', h.Summary, d1, null).then(function (msg) { console.log(msg); }, function (err) { console.log(err); });
    };
    SchedulePage.prototype.getMain = function () {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var d = new Date();
        var url = this.gv.getStaticTexts().urlSchedule.replace('strDate/', 'strDate=').replace('{date}', d.getFullYear() + '-' + (d.getMonth() + 1) + '-' + d.getDate());
        this.service.getHome(url).then(function (data) {
            _this.homeData = JSON.parse(data.data);
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    SchedulePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-schedule',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/schedule/schedule.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="item" *ngFor="let h of homeData">\n      <img width="100%" [src]="\'http://ifilmtv.ir\' + h.ImageLink" />\n      <div class="title">\n        <span (click)="addtocal(h)" class="bell"></span>\n        {{h.Title}}\n        <div class="time">{{h.Time}}<sup>تهران</sup></div>\n      </div>\n    </div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/schedule/schedule.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_calendar__["a" /* Calendar */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], SchedulePage);
    return SchedulePage;
}());

//# sourceMappingURL=schedule.js.map

/***/ }),

/***/ 212:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__news_det_news_det__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var NewsPage = /** @class */ (function () {
    function NewsPage(navCtrl, service, gv, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.gv = gv;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = {
            Iran: [{ ImageAddress_M: "", Title: "" }],
            World: [{ ImageAddress_M: "", Title: "" }],
            Article: [{ ImageAddress_M: "", Title: "" }],
            InterView: [{ ImageAddress_M: "", Title: "" }],
        };
        this.pageTitle = "اخبار";
    }
    NewsPage.prototype.gotoNewsDet = function (h) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__news_det_news_det__["a" /* NewsDetPage */], { id: h.Id });
    };
    NewsPage.prototype.ngOnInit = function () {
        this.getMain();
    };
    NewsPage.prototype.getMain = function () {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = this.gv.getStaticTexts().urlNews;
        this.service.getHome(url).then(function (data) {
            _this.homeData = JSON.parse(data.data);
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    NewsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/news/news.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}- ایران</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="first-item" (click)="gotoNewsDet(homeData.Iran[0])">\n      <img [src]="\'http://ifilmtv.ir\' + homeData.Iran[0].ImageAddress_M" />\n      <div class="title">\n        {{homeData.Iran[0].Title}}\n      </div>\n    </div>\n    <div class="other-item">\n      <div *ngFor="let n of homeData.Iran | slice:1" class="item" (click)="gotoNewsDet(n)">\n        <div>{{n.Title}}</div>\n        <p>{{n.Summary}}</p>\n      </div>\n    </div>\n  </div>\n\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}- جهان</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="first-item" (click)="gotoNewsDet(homeData.World[0])">\n      <img [src]="\'http://ifilmtv.ir\' + homeData.World[0].ImageAddress_M" />\n      <div class="title">\n        {{homeData.World[0].Title}}\n      </div>\n    </div>\n    <div class="other-item">\n      <div *ngFor="let n of homeData.World | slice:1" class="item" (click)="gotoNewsDet(n)">\n        <div>{{n.Title}}</div>\n        <p>{{n.Summary}}</p>\n      </div>\n    </div>\n  </div>\n\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}- مقالات</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="first-item" (click)="gotoNewsDet(homeData.Article[0])">\n      <img [src]="\'http://ifilmtv.ir\' + homeData.Article[0].ImageAddress_M" />\n      <div class="title">\n        {{homeData.Article[0].Title}}\n      </div>\n    </div>\n    <div class="other-item">\n      <div *ngFor="let n of homeData.Article | slice:1" class="item" (click)="gotoNewsDet(n)">\n        <div>{{n.Title}}</div>\n        <p>{{n.Summary}}</p>\n      </div>\n    </div>\n  </div>\n\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}- مصاحبه</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="first-item" (click)="gotoNewsDet(homeData.InterView[0])">\n      <img [src]="\'http://ifilmtv.ir\' + homeData.InterView[0].ImageAddress_M" />\n      <div class="title">\n        {{homeData.InterView[0].Title}}\n      </div>\n    </div>\n    <div class="other-item">\n      <div *ngFor="let n of homeData.InterView | slice:1" class="item" (click)="gotoNewsDet(n)">\n        <div>{{n.Title}}</div>\n        <p>{{n.Summary}}</p>\n      </div>\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/news/news.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], NewsPage);
    return NewsPage;
}());

//# sourceMappingURL=news.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ActorPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__ = __webpack_require__(104);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ion_multi_picker___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__actor_det_actor_det__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var Char;
(function (Char) {
    Char[Char["\u0627"] = 0] = "\u0627";
    Char[Char["\u0628"] = 1] = "\u0628";
    Char[Char["\u067E"] = 2] = "\u067E";
    Char[Char["\u062A"] = 3] = "\u062A";
    Char[Char["\u062B"] = 4] = "\u062B";
    Char[Char["\u062C"] = 5] = "\u062C";
    Char[Char["\u0686"] = 6] = "\u0686";
    Char[Char["\u062D"] = 7] = "\u062D";
    Char[Char["\u062E"] = 8] = "\u062E";
    Char[Char["\u062F"] = 9] = "\u062F";
    Char[Char["\u0630"] = 10] = "\u0630";
    Char[Char["\u0631"] = 11] = "\u0631";
    Char[Char["\u0632"] = 12] = "\u0632";
    Char[Char["\u0698"] = 13] = "\u0698";
    Char[Char["\u0633"] = 14] = "\u0633";
    Char[Char["\u0634"] = 15] = "\u0634";
    Char[Char["\u0635"] = 16] = "\u0635";
    Char[Char["\u0636"] = 17] = "\u0636";
    Char[Char["\u0637"] = 18] = "\u0637";
    Char[Char["\u0638"] = 19] = "\u0638";
    Char[Char["\u0639"] = 20] = "\u0639";
    Char[Char["\u063A"] = 21] = "\u063A";
    Char[Char["\u0641"] = 22] = "\u0641";
    Char[Char["\u0642"] = 23] = "\u0642";
    Char[Char["\u06A9"] = 24] = "\u06A9";
    Char[Char["\u06AF"] = 25] = "\u06AF";
    Char[Char["\u0644"] = 26] = "\u0644";
    Char[Char["\u0645"] = 27] = "\u0645";
    Char[Char["\u0646"] = 28] = "\u0646";
    Char[Char["\u0648"] = 29] = "\u0648";
    Char[Char["\u0647"] = 30] = "\u0647";
    Char[Char["\u06CC"] = 31] = "\u06CC";
})(Char || (Char = {}));
var Role;
(function (Role) {
    Role[Role["\u06A9\u0627\u0631\u06AF\u0631\u062F\u0627\u0646"] = 0] = "\u06A9\u0627\u0631\u06AF\u0631\u062F\u0627\u0646";
    Role[Role["\u0628\u0627\u0632\u06CC\u06AF\u0631"] = 1] = "\u0628\u0627\u0632\u06CC\u06AF\u0631";
    Role[Role["\u062E\u0648\u0627\u0646\u0646\u062F\u0647"] = 2] = "\u062E\u0648\u0627\u0646\u0646\u062F\u0647";
})(Role || (Role = {}));
var ActorPage = /** @class */ (function () {
    function ActorPage(navCtrl, service, gv, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.gv = gv;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = [];
        this.pageTitle = "هنرمندان";
        this.type = 1;
        this.sort = 'ا';
        this.Char = Char;
        this.chars = Object(__WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__["convertEnumToColumn"])(this.Char);
        this.Role = Role;
        this.roles = Object(__WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__["convertEnumToColumn"])(this.Role);
    }
    ActorPage.prototype.artistChange = function (ev) {
        this.type = parseInt(ev) + 1;
        this.getMain();
    };
    ActorPage.prototype.sortChange = function (ev) {
        this.sort = Char[ev];
        this.getMain();
    };
    ActorPage.prototype.gotoActorDet = function (h) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__actor_det_actor_det__["a" /* ActorDetPage */], { id: h.Id });
    };
    ActorPage.prototype.ngOnInit = function () {
        this.getMain();
    };
    ActorPage.prototype.getMain = function () {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = this.gv.getStaticTexts().urlActor.replace('{type}', this.type).replace('{sort}', this.sort);
        this.service.getHome(url).then(function (data) {
            var ps = JSON.parse(data.data).person;
            _this.homeData = ps.filter(function (el) { return el.ImageAddress_S != null; });
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    ActorPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-actor',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/actor/actor.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="select-wrapper">\n    <div class="mp-wrapper">\n      <ion-multi-picker doneText="تائید" cancelText="انصراف" (ngModelChange)="artistChange($event)" item-content [multiPickerColumns]="roles" [ngModel]="t1" placeholder="هنرمند"></ion-multi-picker>\n    </div>\n    <br>\n    <div class="mp-wrapper">\n      <ion-multi-picker doneText="تائید" cancelText="انصراف" (ngModelChange)="sortChange($event)" item-content [multiPickerColumns]="chars" [ngModel]="s1" placeholder="حروف الفبا"></ion-multi-picker>\n    </div>\n  </div>\n  <div class="mid-art-news">\n    <ion-grid>\n      <ion-row>\n        <ion-col (click)="gotoActorDet(h)" col-4 *ngFor="let h of homeData">\n          <img [src]="\'http://ifilmtv.ir\' + h.ImageAddress_S" />\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/actor/actor.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_5__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], ActorPage);
    return ActorPage;
}());

//# sourceMappingURL=actor.js.map

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MusicPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__ = __webpack_require__(104);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ion_multi_picker___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__music_det_music_det__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_streaming_media__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var Role;
(function (Role) {
    Role[Role["\u0622\u0647\u0646\u06AF"] = 0] = "\u0622\u0647\u0646\u06AF";
    Role[Role["\u0645\u0630\u0647\u0628\u06CC"] = 1] = "\u0645\u0630\u0647\u0628\u06CC";
    Role[Role["\u06A9\u0644\u06CC\u067E"] = 2] = "\u06A9\u0644\u06CC\u067E";
})(Role || (Role = {}));
var MusicPage = /** @class */ (function () {
    function MusicPage(navCtrl, service, loading, gv, streamingMedia, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.loading = loading;
        this.gv = gv;
        this.streamingMedia = streamingMedia;
        this.navParams = navParams;
        this.homeData = [{ ImageAddress_M: "", ImageAddress_S: "" }];
        this.pageTitle = "موسیقی";
        this.type = 4;
        this.Role = Role;
        this.roles = Object(__WEBPACK_IMPORTED_MODULE_2_ion_multi_picker__["convertEnumToColumn"])(this.Role);
    }
    MusicPage.prototype.artistChange = function (ev) {
        if (ev == 0)
            this.type = 4;
        if (ev == 1)
            this.type = 6;
        if (ev == 2)
            this.type = 15;
        this.getMain();
    };
    MusicPage.prototype.sortChange = function (ev) {
    };
    MusicPage.prototype.gotoMusicDet = function (h) {
        if (h.VoiceAddress != null)
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__music_det_music_det__["a" /* MusicDetPage */], { item: h });
        else if (h.VideoAddress != null) {
            var options = {
                successCallback: function () { console.log('Video played'); },
                errorCallback: function (e) { console.log('Error streaming', e); },
                orientation: 'landscape'
            };
            this.streamingMedia.playVideo("http://ifilmtv.ir" + h.VideoAddress, options);
        }
    };
    MusicPage.prototype.ngOnInit = function () {
        this.getMain();
    };
    MusicPage.prototype.getMain = function () {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        var url = this.gv.getStaticTexts().urlTrack.replace('{trackId}', null).replace('{typeId}', this.type);
        this.service.getHome(url).then(function (data) {
            var ps = JSON.parse(data.data);
            _this.homeData = ps;
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    MusicPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-music',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/music/music.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">{{pageTitle}}</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="select-wrapper">\n    <div class="mp-wrapper">\n      <ion-multi-picker doneText="تائید" cancelText="انصراف" (ngModelChange)="artistChange($event)" item-content [multiPickerColumns]="roles" [ngModel]="t1"\n        placeholder="نوع موسیقی"></ion-multi-picker>\n    </div>\n  </div>\n  <br>\n  <br>\n  <div class="mid-art-news">\n    <div class="first-item" (click)="gotoMusicDet(homeData[0])">\n      <img [src]="\'http://ifilmtv.ir\' + homeData[0].ImageAddress_M" />\n      <div class="title">\n        {{homeData[0].Title}}\n      </div>\n    </div>\n    <div class="other-item">\n      <div *ngFor="let h of homeData | slice:1" class="item" (click)="gotoMusicDet(h)">\n        <img [src]="\'http://ifilmtv.ir\' + h.ImageAddress_S" />\n        <div>{{h.Title}}</div>\n        <p>{{h.Caption}}</p>\n      </div>\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/music/music.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_6__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_streaming_media__["a" /* StreamingMedia */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], MusicPage);
    return MusicPage;
}());

//# sourceMappingURL=music.js.map

/***/ }),

/***/ 215:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MusicDetPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_social_sharing__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var MusicDetPage = /** @class */ (function () {
    function MusicDetPage(navCtrl, service, loading, social, gv, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.loading = loading;
        this.social = social;
        this.gv = gv;
        this.navParams = navParams;
        this.homeData = { profile: [{ ImageAddress_M: "" }] };
        this.pageTitle = "";
        this.playstate = 0;
        this.mediaprog = 0;
        this.currTime = "0:0";
        this.fullTime = "";
    }
    MusicDetPage.prototype.play = function () {
        if (this.playstate == 0) {
            this.player.nativeElement.play();
            this.playstate = 1;
        }
        else {
            this.player.nativeElement.pause();
            this.playstate = 0;
        }
    };
    MusicDetPage.prototype.openShare = function () {
        this.social.share(null, null, null, "http://ifilmtv.ir" + this.item.VoiceAddress);
    };
    MusicDetPage.prototype.getDur = function (d) {
        var minutes = (d / 60);
        var seconds = (d % 60);
        return parseInt(minutes, 10) + ":" + parseInt(seconds);
    };
    MusicDetPage.prototype.seek = function (ev) {
        var s = ev.offsetX / 200.0 * this.player.nativeElement.duration;
        this.player.nativeElement.currentTime = s;
    };
    MusicDetPage.prototype.ngOnInit = function () {
        var _this = this;
        this.item = this.navParams.get("item");
        this.player.nativeElement.addEventListener("timeupdate", function (data) {
            _this.mediaprog = _this.player.nativeElement.currentTime / _this.player.nativeElement.duration * 200;
            //console.log(this.mediaprog);
            _this.currTime = _this.getDur(_this.player.nativeElement.currentTime);
        });
        this.player.nativeElement.addEventListener("loadeddata", function (data) {
            _this.fullTime = _this.getDur(_this.player.nativeElement.duration);
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('player'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"])
    ], MusicDetPage.prototype, "player", void 0);
    MusicDetPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-music-det',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/music.det/music.det.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">موسیقی</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <img [src]="\'http://ifilmtv.ir\' + item.ImageAddress_M" />\n    <div class="title">{{item.Title}}</div>\n    <div class="cap">{{item.Caption}}</div>\n    <audio #player controls>\n      <source [src]="\'http://ifilmtv.ir\' + item.VoiceAddress" type="audio/mp3">\n    </audio>\n    <div class="player-wrapper" *ngIf="fullTime">\n      <div class="play-warpper">\n        <button class="play" ion-button clear (click)="play()">\n          <ion-icon class="play-ico" [name]="playstate == 0 ? \'ios-play-outline\' : \'ios-pause-outline\'"></ion-icon>\n        </button>\n      </div>\n      <div class="progress1" (click)="seek($event)">\n        <div class="progress2" [style.width]="mediaprog + \'px\'"></div>\n      </div>\n      <div class="timer">\n        <span class="curr">{{currTime}}</span>\n        <span class="full">{{fullTime}}</span>\n      </div>\n    </div>\n    <button (click)="openShare()" ion-button block class="share-butt">Share</button>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/music.det/music.det.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_social_sharing__["a" /* SocialSharing */],
            __WEBPACK_IMPORTED_MODULE_4__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], MusicDetPage);
    return MusicDetPage;
}());

//# sourceMappingURL=music.det.js.map

/***/ }),

/***/ 216:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContactPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var ContactPage = /** @class */ (function () {
    function ContactPage(navCtrl, service, gv, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.gv = gv;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = [];
    }
    ContactPage.prototype.ngOnInit = function () {
        this.getMain();
    };
    ContactPage.prototype.striper = function (t) {
        var h = t; //.replace(/<script.*?<\/script>/g, '').replace(/<style.*?<\/style>/g, '').replace(/<link.*?>/g, '');
        return h;
    };
    ContactPage.prototype.getMain = function () {
        var _this = this;
        var loader = this.loading.create({ spinner: "crescent" });
        loader.present();
        this.service.getApi(this.gv.getStaticTexts().urlContactUs).then(function (data) {
            //console.log(data);
            _this.homeData = _this.striper(data._body);
            loader.dismiss();
        }).catch(function (err) {
            loader.dismiss();
        });
    };
    ContactPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-contact',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/contact/contact.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">تماس</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="item" [innerHtml]="homeData | safe: \'html\'">\n\n    </div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/contact/contact.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], ContactPage);
    return ContactPage;
}());

//# sourceMappingURL=contact.js.map

/***/ }),

/***/ 217:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FrequenciesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var FrequenciesPage = /** @class */ (function () {
    function FrequenciesPage(navCtrl, service, gv, loading, navParams) {
        this.navCtrl = navCtrl;
        this.service = service;
        this.gv = gv;
        this.loading = loading;
        this.navParams = navParams;
        this.homeData = [];
    }
    FrequenciesPage.prototype.ngOnInit = function () {
        this.getMain();
    };
    FrequenciesPage.prototype.getMain = function () {
        this.homeData = this.gv.getStaticTexts().frequence.split(';');
    };
    FrequenciesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-frequencies',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/pages/frequencies/frequencies.html"*/'<page-header></page-header>\n\n<ion-content fullscreen class="main-content">\n  <div class="mid-art">\n    <div class="title">فرکانس‌ها</div>\n    <div class="radius1"></div>\n    <div class="radius2"></div>\n    <div class="radius3"></div>\n  </div>\n  <div class="mid-art-news">\n    <div class="item" *ngFor="let h of homeData">\n      <img [src]="h" />\n    </div>\n    <div class="filler"></div>\n    <div class="filler"></div>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/pages/frequencies/frequencies.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], FrequenciesPage);
    return FrequenciesPage;
}());

//# sourceMappingURL=frequencies.js.map

/***/ }),

/***/ 218:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(219);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(241);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 241:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(200);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_http__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_scroll_directive__ = __webpack_require__(299);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ion_multi_picker__ = __webpack_require__(104);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ion_multi_picker___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_ion_multi_picker__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_streaming_media__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_social_sharing__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_calendar__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_globalvars__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_screen_orientation__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__app_component__ = __webpack_require__(302);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__header_header__ = __webpack_require__(304);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_home_home__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_series_series__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_series_det_series_det__ = __webpack_require__(105);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_schedule_schedule__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_news_news__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_news_det_news_det__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_actor_actor__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_actor_det_actor_det__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__pages_music_music__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_music_det_music_det__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_contact_contact__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_frequencies_frequencies__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__ionic_native_status_bar__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__ionic_native_splash_screen__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pipes_safe_safe__ = __webpack_require__(305);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};






























var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_13__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_29__pipes_safe_safe__["a" /* SafePipe */],
                __WEBPACK_IMPORTED_MODULE_14__header_header__["a" /* Header */],
                __WEBPACK_IMPORTED_MODULE_6__providers_scroll_directive__["a" /* ScrollDirective */],
                __WEBPACK_IMPORTED_MODULE_15__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_news_news__["a" /* NewsPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_news_det_news_det__["a" /* NewsDetPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_series_series__["a" /* SeriesPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_series_det_series_det__["a" /* SeriesDetPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_schedule_schedule__["a" /* SchedulePage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_actor_actor__["a" /* ActorPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_actor_det_actor_det__["a" /* ActorDetPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_music_music__["a" /* MusicPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_music_det_music_det__["a" /* MusicDetPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_contact_contact__["a" /* ContactPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_frequencies_frequencies__["a" /* FrequenciesPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_7_ion_multi_picker__["MultiPickerModule"],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicModule"].forRoot(__WEBPACK_IMPORTED_MODULE_13__app_component__["a" /* MyApp */], {}, {
                    links: []
                }),
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicApp"]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_13__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_14__header_header__["a" /* Header */],
                __WEBPACK_IMPORTED_MODULE_15__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_news_news__["a" /* NewsPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_news_det_news_det__["a" /* NewsDetPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_series_series__["a" /* SeriesPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_series_det_series_det__["a" /* SeriesDetPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_schedule_schedule__["a" /* SchedulePage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_actor_actor__["a" /* ActorPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_actor_det_actor_det__["a" /* ActorDetPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_music_music__["a" /* MusicPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_music_det_music_det__["a" /* MusicDetPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_contact_contact__["a" /* ContactPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_frequencies_frequencies__["a" /* FrequenciesPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_27__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_http__["a" /* HTTP */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_social_sharing__["a" /* SocialSharing */],
                __WEBPACK_IMPORTED_MODULE_11__providers_globalvars__["a" /* GlobalVars */],
                __WEBPACK_IMPORTED_MODULE_12__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_streaming_media__["a" /* StreamingMedia */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_calendar__["a" /* Calendar */],
                __WEBPACK_IMPORTED_MODULE_5__providers_service__["a" /* Service */],
                __WEBPACK_IMPORTED_MODULE_28__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["ErrorHandler"], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicErrorHandler"] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 299:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ScrollDirective; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var ScrollDirective = /** @class */ (function () {
    function ScrollDirective() {
    }
    ScrollDirective.prototype.newColor = function () {
        //const colorPick = Math.floor(Math.random() * this.possibleColors.length);
        //this.color = this.borderColor = this.possibleColors[colorPick];
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["HostBinding"])('style.color'),
        __metadata("design:type", String)
    ], ScrollDirective.prototype, "color", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["HostBinding"])('style.border-color'),
        __metadata("design:type", String)
    ], ScrollDirective.prototype, "borderColor", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["HostListener"])('keydown'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], ScrollDirective.prototype, "newColor", null);
    ScrollDirective = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Directive"])({
            selector: '[scroller]'
        })
    ], ScrollDirective);
    return ScrollDirective;
}());

//# sourceMappingURL=scroll.directive.js.map

/***/ }),

/***/ 302:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_screen_orientation__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map__ = __webpack_require__(303);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_service__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_home_home__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_series_series__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_schedule_schedule__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_news_news__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_actor_actor__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_music_music__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_contact_contact__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_frequencies_frequencies__ = __webpack_require__(217);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};















var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, screenOrientation, ser, splashScreen) {
        this.platform = platform;
        this.statusBar = statusBar;
        this.screenOrientation = screenOrientation;
        this.ser = ser;
        this.splashScreen = splashScreen;
        this.platform.setDir('rtl', true);
        this.screenOrientation.lock(this.screenOrientation.ORIENTATIONS.PORTRAIT);
        this.initializeApp();
    }
    ;
    MyApp.prototype.initializeApp = function () {
        var _this = this;
        this.platform.ready().then(function () {
            //this.statusBar.styleDefault();
            _this.ser.getMainJson().then(function () {
                _this.rootPage = __WEBPACK_IMPORTED_MODULE_7__pages_home_home__["a" /* HomePage */];
                setTimeout(function () {
                    _this.splashScreen.hide();
                }, 200);
            }).catch(function (err) {
                alert("خطا در برقراری ارتباط");
            });
        });
    };
    MyApp.prototype.gotoPage = function (no) {
        switch (no) {
            case 0://series
                this.nav.push(__WEBPACK_IMPORTED_MODULE_8__pages_series_series__["a" /* SeriesPage */], { id: 3 });
                break;
            case 1://movies
                this.nav.push(__WEBPACK_IMPORTED_MODULE_8__pages_series_series__["a" /* SeriesPage */], { id: 5 });
                break;
            case 2://shows
                this.nav.push(__WEBPACK_IMPORTED_MODULE_8__pages_series_series__["a" /* SeriesPage */], { id: 7 });
                break;
            case 3://schedule
                this.nav.push(__WEBPACK_IMPORTED_MODULE_9__pages_schedule_schedule__["a" /* SchedulePage */]);
                break;
            case 4://culture
                this.nav.push(__WEBPACK_IMPORTED_MODULE_10__pages_news_news__["a" /* NewsPage */]);
                break;
            case 5://artists
                this.nav.push(__WEBPACK_IMPORTED_MODULE_11__pages_actor_actor__["a" /* ActorPage */], {});
                break;
            case 6://music
                this.nav.push(__WEBPACK_IMPORTED_MODULE_12__pages_music_music__["a" /* MusicPage */], {});
                break;
            case 7://frequencies
                this.nav.push(__WEBPACK_IMPORTED_MODULE_14__pages_frequencies_frequencies__["a" /* FrequenciesPage */], {});
                break;
            case 8://contact
                this.nav.push(__WEBPACK_IMPORTED_MODULE_13__pages_contact_contact__["a" /* ContactPage */], {});
                break;
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Nav"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Nav"])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/app/app.html"*/'<ion-menu [content]="content">\n  <ion-header>\n    <ion-toolbar>\n      <ion-title>\n        <img src="assets/imgs/logo-top1.png" />\n      </ion-title>\n    </ion-toolbar>\n  </ion-header>\n\n  <ion-content>\n    <div menuClose (click)="gotoPage(0)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-series.png)">سریال‌ها</div>\n    <div menuClose (click)="gotoPage(1)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-movies.png)">فیلم‌ها</div>\n    <div menuClose (click)="gotoPage(2)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-shows.png)">برنامه‌ها</div>\n    <div menuClose (click)="gotoPage(3)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-sch.png)">جدول پخش</div>\n    <div menuClose (click)="gotoPage(4)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-culture.png)">اخبار</div>\n    <div menuClose (click)="gotoPage(5)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-artists.png)">هنرمندان</div>\n    <div menuClose (click)="gotoPage(6)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-music.png)">موسیقی</div>\n    <div menuClose (click)="gotoPage(7)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-sat.png)">فرکانس‌ها</div>\n    <div menuClose (click)="gotoPage(8)" class="menu-item" style="background-image: url(assets/imgs/ico-menu-contact.png)">ارتباط با ما</div>\n  </ion-content>\n\n</ion-menu>\n\n<!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus -->\n<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
            __WEBPACK_IMPORTED_MODULE_6__providers_service__["a" /* Service */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 304:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Header; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_streaming_media__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var Header = /** @class */ (function () {
    function Header(navCtrl, gv, streamingMedia) {
        this.navCtrl = navCtrl;
        this.gv = gv;
        this.streamingMedia = streamingMedia;
    }
    Header.prototype.gotoLive = function () {
        var options = {
            successCallback: function () { console.log('Video played'); },
            errorCallback: function (e) { console.log('Error streaming', e); },
            orientation: 'landscape'
        };
        this.streamingMedia.playVideo(this.gv.getStaticTexts().urlLive, options);
    };
    Header = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-header',template:/*ion-inline-start:"/Users/admin/projs/ifilmfa/src/app/header/header.html"*/'<ion-header no-border>\n  <ion-navbar transparent>\n    <button ion-button menuToggle>\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    <ion-title>\n      <img src="assets/imgs/logo-top.png" />\n    </ion-title>\n    <ion-buttons end>\n      <button (click)="gotoLive()" ion-button>\n        پخش زنده\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>'/*ion-inline-end:"/Users/admin/projs/ifilmfa/src/app/header/header.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_globalvars__["a" /* GlobalVars */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_streaming_media__["a" /* StreamingMedia */]])
    ], Header);
    return Header;
}());

//# sourceMappingURL=header.js.map

/***/ }),

/***/ 305:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SafePipe; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var SafePipe = /** @class */ (function () {
    function SafePipe(sanitizer) {
        this.sanitizer = sanitizer;
    }
    SafePipe.prototype.transform = function (value, type) {
        switch (type) {
            case 'html': return this.sanitizer.bypassSecurityTrustHtml(value);
            case 'style': return this.sanitizer.bypassSecurityTrustStyle(value);
            case 'script': return this.sanitizer.bypassSecurityTrustScript(value);
            case 'url': return this.sanitizer.bypassSecurityTrustUrl(value);
            case 'resourceUrl': return this.sanitizer.bypassSecurityTrustResourceUrl(value);
            default: throw new Error("Invalid safe type specified: " + type);
        }
    };
    SafePipe = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: 'safe'
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["c" /* DomSanitizer */]])
    ], SafePipe);
    return SafePipe;
}());

//# sourceMappingURL=safe.js.map

/***/ })

},[218]);
//# sourceMappingURL=main.js.map